org.apache.http.nio.reactor

## Class IOReactorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.http.nio.reactor.IOReactorException

All Implemented Interfaces:
  Serializable

    public class IOReactorException
    extends IOException

I/O exception that can be thrown by an I/O reactor. Usually exceptions of this type are fatal and are not recoverable.

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IOReactorException(String message)`
`IOReactorException(String message, Exception cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IOReactorException

    public IOReactorException(String message,
                      Exception cause)

#### IOReactorException

    public IOReactorException(String message)